Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #169 (closed defect: fixed)

Opened 14 years ago

Last modified 14 years ago

wlanconfig produces ioctl error

Reported by: iain@iain.mason.name Assigned to: svens
Priority: minor Milestone:
Component: madwifi: tools Version: trunk
Keywords: wlanconfig Cc:
Patch is attached: 1 Pending:

Description (Last modified by mrenzmann)

Running wlanconfig ath0 create wlandev wifi0 wlanmode sta generates wlanconfig: ioctl: Invalid argument

This only happens when I try to force the dev number, just using ath works OK (this is a bit of a pain since I'm using a pccard and the device number doesn't decrement when I eject the card). The README that came with the source requested that I send the console output but I'm not too sure which file this gets logged to.

Linux release : Slackware 10.2
Linux version : 2.6.13 
WiFi hardware : D-Link AirXpert DWL-AG650
MadWiFi release : madwifi-trunk-r1329-20051121

dmesg output:

ACPI: PCI interrupt for device 0000:06:00.0 disabled
PCI: Enabling device 0000:06:00.0 (0000 -> 0002)
ACPI: PCI Interrupt 0000:06:00.0[A] -> Link [LNK4] -> GSI 10 (level, low) -> IRQ 10
wifi0: 11a rates: 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: 11b rates: 1Mbps 2Mbps 5.5Mbps 11Mbps
wifi0: 11g rates: 1Mbps 2Mbps 5.5Mbps 11Mbps 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: turboG rates: 6Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: H/W encryption support: WEP AES AES_CCM TKIP
wifi0: mac 5.9 phy 4.3 radio 3.6
wifi0: Use hw queue 1 for WME_AC_BE traffic
wifi0: Use hw queue 0 for WME_AC_BK traffic
wifi0: Use hw queue 2 for WME_AC_VI traffic
wifi0: Use hw queue 3 for WME_AC_VO traffic
wifi0: Use hw queue 8 for CAB traffic
wifi0: Use hw queue 9 for beacons
wifi0: Atheros 5212: mem=0x32000000, irq=10
ath3: no IPv6 routers present
wifi0: no IPv6 routers present

Attachments

madwifi-free-wlanunit.diff (0.7 kB) - added by svens on 12/17/05 14:39:37.

Change History

11/23/05 02:13:25 changed by iain@iain.mason.name

Sorry, forgot to enter my mail address.

11/23/05 08:21:05 changed by mrenzmann

  • description changed.
  • reporter changed from anonymous to iain@iain.mason.name.

12/15/05 01:04:57 changed by dyqith@gmail.com

Hi,

I'm trying to reproduce the same error to help close this ticket. Can you list the steps taken from system bootup to the occurence of this event ?

The only time I get "ioctl: Invalid argument" is when I already have the ath0 device.

thanks, --dyqith

12/17/05 13:03:39 changed by svens

I guess this happens if you unload and re-loading ath_pci, without the wlan modules. Can you check if this is working ok when reloading *all* of the modules? If this is the problem, you can try the attached patch.

12/17/05 14:39:37 changed by svens

  • attachment madwifi-free-wlanunit.diff added.

12/19/05 09:17:52 changed by svens

Dang. Not really a fix, at least on my thinkpad madwifi crashes when i try to unload the module after suspend/resume.

12/19/05 22:35:25 changed by svens

Turned out that this was an error from my side: i didn't apply the patch from ticket #195, which is needed for proper operation.

01/04/06 01:23:07 changed by svens

  • status changed from new to assigned.
  • owner set to svens.

01/04/06 01:25:57 changed by svens

  • status changed from assigned to closed.
  • resolution set to fixed.

fixed with r1374.

02/01/06 11:37:51 changed by kelmo

  • patch_attached set to 1.